local main_wrapper = require "love_src.wrapper.lappy.world"
---@class wrappers.Concord.world : lappy.world
local world = main_wrapper:extend()

local reap = require("lib.reap")
local BASE = reap.base_path(...)

function world:new()
  world.super.new(self, BASE, "actor")
end

local default = {
  forward = 0.0,
  steer = 0.0
}

function world:load(entity, data)
  self.e = entity
  self.data = data or default
end

return world
